Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.message.discovery
Class OutgoingSearchResponseUDN

    java.lang.Object
      org.fourthline.cling.model.message.UpnpMessage<O>
          org.fourthline.cling.model.message.OutgoingDatagramMessage<UpnpResponse>
              org.fourthline.cling.model.message.discovery.OutgoingSearchResponse
                  org.fourthline.cling.model.message.discovery.OutgoingSearchResponseUDN

    public class OutgoingSearchResponseUDN

extends OutgoingSearchResponse

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingSearchResponseUDN(IncomingDatagramMessage request, Location location, LocalDevice device)`

Method Summary

Methods inherited from class org.fourthline.cling.model.message.OutgoingDatagramMessage
`getDestinationAddress, getDestinationPort`

Methods inherited from class org.fourthline.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingSearchResponseUDN

    public OutgoingSearchResponseUDN(IncomingDatagramMessage request,
                                     Location location,
                                     LocalDevice device)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.